function x = barkercode(n)
% x = barkercode(n)
% liefert zur Lnge n einen Barker-Code.
% Momentan nur fr n = 13.
% Fr alle anderen n wird 0 ausgegeben.
% (fr n=135 einen Barker-hnlichen Code)

switch n
   case 13,
      x = [ +1 -1 +1 -1 +1 +1 -1 -1 +1 +1 +1 +1 +1];
   case 135
      x = [ +1 +1 +1 -1 +1 -1 -1 -1 -1 +1 +1 +1 -1 -1 +1 +1 -1 -1 -1 -1 ...
            +1 -1 -1 +1 -1 -1 -1 +1 -1 +1 -1 +1 +1 +1 -1 +1 -1 +1 +1 +1 ...
            +1 -1 -1 +1 -1 -1 +1 -1 +1 +1 +1 -1 -1 +1 +1 +1 -1 -1 -1 -1 ...
            -1 -1 +1 +1 +1 -1 +1 +1 +1 -1 +1 -1 -1 +1 +1 +1 +1 -1 +1 -1 ...
            +1 -1 -1 +1 -1 +1 -1 -1 -1 -1 -1 -1 +1 -1 +1 -1 +1 -1 +1 -1 ...
            +1 +1 +1 +1 +1 -1 +1 -1 +1 +1 -1 +1 -1 -1 -1 -1 -1 +1 +1 -1 ...
            +1 +1 +1 -1 +1 +1 -1 +1 +1 -1 +1 -1 +1 +1 -1];
   otherwise, x = 0;
end