% Skript zur Ermittlung von Fehlerraten bei Faltungskodes
% =======================================================

load bitfehlerrate

fh = fullscreen('BER ber Eb/No');
plot(ebn0,[br25;br35;br45;br27]')
set(gca,'YScale','log')
axis([ebn0(1) ebn0(end) min(br) 1])
xlabel('Eb/No [dB]','FontSize',13)
ylabel('BER','FontSize',13)
title('Bitfehlerrate bei Faltungskodierung','FontSize',13)
legend('(2,5)','(3,5)','(4,5)','(2,7)')
grid on

r = 3;
cl= 7;
ebn0 = -1:0.5:5;
for k=1:length(ebn0)
   br37(k) = faltfrate([r,cl],ebn0(k),30000*2^ebn0(k));
end
fh37 = fullscreen('BER ber Eb/No');
plot(ebn0,br37)
set(gca,'YScale','log')
axis([ebn0(1) ebn0(end) min(br) 1])
xlabel('Eb/No [dB]','FontSize',13)
ylabel('BER','FontSize',13)
title(sprintf('(%d,%2d)-Faltungskode',r,cl),'FontSize',13)
grid on
save bitfehlerrate

r = 4;
cl= 7;
ebn0 = -1:0.5:5;
for k=1:length(ebn0)
   br47(k) = faltfrate([r,cl],ebn0(k),30000*2^ebn0(k));
end
fh47 = fullscreen('BER ber Eb/No');
plot(ebn0,br47)
set(gca,'YScale','log')
axis([ebn0(1) ebn0(end) min(br) 1])
xlabel('Eb/No [dB]','FontSize',13)
ylabel('BER','FontSize',13)
title(sprintf('(%d,%2d)-Faltungskode',r,cl),'FontSize',13)
grid on
save bitfehlerrate

r = 2;
cl= 9;
ebn0 = -1:0.5:5;
for k=1:length(ebn0)
   br29(k) = faltfrate([r,cl],ebn0(k),30000*2^ebn0(k));
end
fh29 = fullscreen('BER ber Eb/No');
plot(ebn0,br29)
set(gca,'YScale','log')
axis([ebn0(1) ebn0(end) min(br) 1])
xlabel('Eb/No [dB]','FontSize',13)
ylabel('BER','FontSize',13)
title(sprintf('(%d,%2d)-Faltungskode',r,cl),'FontSize',13)
grid on
save bitfehlerrate

r = 3;
cl= 9;
ebn0 = -1:0.5:5;
for k=1:length(ebn0)
   br39(k) = faltfrate([r,cl],ebn0(k),30000*2^ebn0(k));
end
fh39 = fullscreen('BER ber Eb/No');
plot(ebn0,br39)
set(gca,'YScale','log')
axis([ebn0(1) ebn0(end) min(br) 1])
xlabel('Eb/No [dB]','FontSize',13)
ylabel('BER','FontSize',13)
title(sprintf('(%d,%2d)-Faltungskode',r,cl),'FontSize',13)
grid on
save bitfehlerrate

r = 4;
cl= 9;
ebn0 = -1:0.5:5;
for k=1:length(ebn0)
   br49(k) = faltfrate([r,cl],ebn0(k),30000*2^ebn0(k));
end
fh49 = fullscreen('BER ber Eb/No');
plot(ebn0,br49)
set(gca,'YScale','log')
axis([ebn0(1) ebn0(end) min(br) 1])
xlabel('Eb/No [dB]','FontSize',13)
ylabel('BER','FontSize',13)
title(sprintf('(%d,%2d)-Faltungskode',r,cl),'FontSize',13)
grid on
save bitfehlerrate

r = 2;
cl= 11;
ebn0 = -1:0.5:5;
for k=1:length(ebn0)
   br211(k) = faltfrate([r,cl],ebn0(k),30000*2^ebn0(k));
end
fh211 = fullscreen('BER ber Eb/No');
plot(ebn0,br211)
set(gca,'YScale','log')
axis([ebn0(1) ebn0(end) min(br) 1])
xlabel('Eb/No [dB]','FontSize',13)
ylabel('BER','FontSize',13)
title(sprintf('(%d,%2d)-Faltungskode',r,cl),'FontSize',13)
grid on
save bitfehlerrate

r = 3;
cl= 11;
ebn0 = -1:0.5:5;
for k=1:length(ebn0)
   br311(k) = faltfrate([r,cl],ebn0(k),30000*2^ebn0(k));
end
fh311 = fullscreen('BER ber Eb/No');
plot(ebn0,br311)
set(gca,'YScale','log')
axis([ebn0(1) ebn0(end) min(br) 1])
xlabel('Eb/No [dB]','FontSize',13)
ylabel('BER','FontSize',13)
title(sprintf('(%d,%2d)-Faltungskode',r,cl),'FontSize',13)
grid on
save bitfehlerrate

r = 4;
cl= 11;
ebn0 = -1:0.5:5;
for k=1:length(ebn0)
   br411(k) = faltfrate([r,cl],ebn0(k),30000*2^ebn0(k));
end
fh411 = fullscreen('BER ber Eb/No');
plot(ebn0,br411)
set(gca,'YScale','log')
axis([ebn0(1) ebn0(end) min(br) 1])
xlabel('Eb/No [dB]','FontSize',13)
ylabel('BER','FontSize',13)
title(sprintf('(%d,%2d)-Faltungskode',r,cl),'FontSize',13)
grid on
save bitfehlerrate

r = 2;
cl= 13;
ebn0 = -1:0.5:5;
for k=1:length(ebn0)
   br213(k) = faltfrate([r,cl],ebn0(k),30000*2^ebn0(k));
end
fh213 = fullscreen('BER ber Eb/No');
plot(ebn0,br213)
set(gca,'YScale','log')
axis([ebn0(1) ebn0(end) min(br) 1])
xlabel('Eb/No [dB]','FontSize',13)
ylabel('BER','FontSize',13)
title(sprintf('(%d,%2d)-Faltungskode',r,cl),'FontSize',13)
grid on
save bitfehlerrate

r = 3;
cl= 13;
ebn0 = -1:0.5:5;
for k=1:length(ebn0)
   br313(k) = faltfrate([r,cl],ebn0(k),30000*2^ebn0(k));
end
fh313 = fullscreen('BER ber Eb/No');
plot(ebn0,br313)
set(gca,'YScale','log')
axis([ebn0(1) ebn0(end) min(br) 1])
xlabel('Eb/No [dB]','FontSize',13)
ylabel('BER','FontSize',13)
title(sprintf('(%d,%2d)-Faltungskode',r,cl),'FontSize',13)
grid on
save bitfehlerrate

r = 4;
cl= 13;
ebn0 = -1:0.5:5;
for k=1:length(ebn0)
   br413(k) = faltfrate([r,cl],ebn0(k),30000*2^ebn0(k));
end
fh413 = fullscreen('BER ber Eb/No');
plot(ebn0,br413)
set(gca,'YScale','log')
axis([ebn0(1) ebn0(end) min(br) 1])
xlabel('Eb/No [dB]','FontSize',13)
ylabel('BER','FontSize',13)
title(sprintf('(%d,%2d)-Faltungskode',r,cl),'FontSize',13)
grid on
save bitfehlerrate

r = 2;
cl= 14;
ebn0 = -1:0.5:5;
for k=1:length(ebn0)
   br214(k) = faltfrate([r,cl],ebn0(k),30000*2^ebn0(k));
end
fh214 = fullscreen('BER ber Eb/No');
plot(ebn0,br214)
set(gca,'YScale','log')
axis([ebn0(1) ebn0(end) min(br) 1])
xlabel('Eb/No [dB]','FontSize',13)
ylabel('BER','FontSize',13)
title(sprintf('(%d,%2d)-Faltungskode',r,cl),'FontSize',13)
grid on
save bitfehlerrate

