function x0 = cosrolloff(x,r)
% x0 = cosrolloff(x,r)
% berechnet die Kosinus-Rolloff-Funktion an der Stelle x
% fr den Rollofffaktor r. x darf ein Vektor sein.
% Beispiel:  cosrolloff([0 0.25 0.5 0.75 1.0 1.25 1.5 2.0] ,0.5)

% Autor: Klaus von der Heide, e-mail:  v.d.heide@on-line.de

z  = abs(x);
x0 = (z<1-r) + ((z>=1-r)&(z<1+r)).*(1 - cos(pi*(z-1-r)/(2*r)))/2;
