function y = dediffencode(x,s)
% y = dediffencode(x,s)
% Umkehrung des differentiellen Kodierens von Bitstrmen
%  x :  Bitvektor (oder Matrix)
%  s :  Entscheidungsschwelle zwischen den Bits von x
%       (Default = 0.5)
%  y :  Ausgabevektor (Bits 0 oder 1) beginnend mit 0.

if nargin<2 s = 1/2; end
y = [x(:,1) abs(diff(x')')>s];