function Loesung5(Text, Stoerung)

if nargin<2 
   Stoerung=0; 
end
if nargin<1 
   Text='Dies ist der zu sendende Text';
end
if ~ischar(Text)
   Stoerung=Text;
   Text='Dies ist der zu sendende Text';
end   

% Variablen
% ---------
fa = 8000;
fb1 = 100;
fb2 = 800;

hlcol = 0.7*[1 1 1];
fsiz  = 14;

% Signal-Erzeugung fr Modulation
% -------------------------------
% Kapitel 5

% Aufgabe (1)
x1o  = nfach(double(Text)/128-0.5,round(fa/fb1));
x1 = x1o + Stoerung*randn(size(x1o));

% Aufgabe (2)
x2o = nfach(2*str2binvec(Text)-1,round(fa/fb2));
x2 = x2o + Stoerung*randn(size(x2o));


% Demodulation
% ------------
clear y1;
clear y2;

% Aufgabe (1)
z=1;
i=1;
iplus = fa/fb1;

while i<length(x1)
   j=i+iplus-1;
   y1(z)=sum(x1(i:j))/(fa/fb1);
   i=j+1;
   z=z+1;
end;

% Aufgabe (2)
z=1;
i=1;
iplus = fa/fb2;

while i<length(x2)
   j=i+iplus-1;
   y2(z)=sum(x2(i:j))/(fa/fb2);
   i=j+1;
   z=z+1;
end;

% Werterekonstruktion
% -------------------

for i=1:length(y1)
    y1w(i)= round((y1(i)+0.5)*128);
end   

for i=1:length(y2)
    y2w(i)= round(y2(i)+1);
end   
 
% Ausgabe
% -------

Text
Stoerung
y1str = char(y1w)
y2str = binvec2str(y2w)