%
%
%14.3.1  Satelliten-Telemetrie: AO-40%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-6,'Color',MSVTITLCOLOR>
%
%
%
%% Dieser Abschnitt soll noch wesentlich erweitert werden.
%% Die Empfnger-Simulation ist noch nicht fehlerfrei.
%
% AMSAT-OSCAR-40 ist ein von Funkamateuren unter der Leitung von Prof. Karl Meinzer 
% (Uni Marburg) entworfener und gebauter Satellit, der in vielfacher Hinsicht 
% technisches Neuland betreten soll(te) (man informiere sich via  www.amsat-dl.org).
%
% Leider gab es bei einer Bahnnderung mechanische Probleme mit einem Treibstoffventil, 
% bei dessen Fernuntersuchung es zu einer Explosion an Bord des Satelliten kam, die 
% zunchst zu einem Totalausfall fhrte.  Zwei Wochen spter gelang es (ohne genau zu 
% wissen, wo das Objekt (oder die Objekte?) sich befand, einen Reset durchzufhren, 
% worauf sich der Satellit im S-Band meldete.  Im Laufe der Zeit stellte sich heraus, 
% dass sehr viele Subsysteme zerstrt sind, darunter leider fast alle Sender.  Der noch 
% verfgbare Rest auf vllig anderer Bahn als geplant ergibt dennoch einen hervorragend 
% nutzbaren Kommunikationssatelliten.
%
% Die Telemetrie ist klassisch einfach und kompatibel zu derjenigen frherer 
% Satelliten (und deshalb in mancher Hinsicht nicht mehr Stand der Technik).
%
%
% \bfSpezifikation
%
% Modulationsart:   2-DPSK (DSB)                %<'FontName',MSVFORMFONT>
%
% Impulsform:       Rechteck tiefpassgefiltert  %<'FontName',MSVFORMFONT>
%
% Schrittfrequenz:  400 Binrsymbole/s          %<'FontName',MSVFORMFONT>
%
% Kodierung:        Manchester-Kode             %<'FontName',MSVFORMFONT>
%
% Datensicherung:   16-Bit-CRC                  %<'FontName',MSVFORMFONT>
%
%
% Der Kern der Sendersimulation ergibt sich damit zu
%
% Konstanten                                    %<'FontName',MSVFORMFONT>
% ==========                                    %<'FontName',MSVFORMFONT>
% fa = 8000;            % Abtastrate 8 kHz      %<'FontName',MSVFORMFONT>
% f0 = 1500;            % Trgerfrequenz        %<'FontName',MSVFORMFONT>
% fs = 800;             % Schrittfrequenz (wegen Manchesterkodierung 2*400)  %<'FontName',MSVFORMFONT>
% b  = fir1(12,fs/fa);  % Entwurf des Sendefilters  %<'FontName',MSVFORMFONT>
%
% Sender                                        %<'FontName',MSVFORMFONT>
% ======                                        %<'FontName',MSVFORMFONT>
% z  = filter(b,1,2*nfach(manchester(diffencode(xx)),fa/fs)-1);  %<'FontName',MSVFORMFONT>
% y  = z.*cos(2*pi*f0*(0:length(z)-1)/fa);   % DSB-Modulation    %<'FontName',MSVFORMFONT>
%
% xx ist hierin die zu sendende Binrinformation.
%
% Die Funktion p3dtx generiert das Sendesignal fr die Trgerfrequenz 1500 Hz:
%
help p3dtx
%
% Das folgende Skript verlangt die Eingabe des zu sendenden ASCII-Textes und gibt 
% anschliessend das Sendesignal als Sound aus:
%
tcel = inputdlg('','Eingabe: Zu sendender Text');
p3dtx(tcel{1});
%
% Wir senden das selbe noch einmal und empfangen es mit dem Empfnger  {\fontname{Courier}p3drx}, der 
% jedesmal neue Fehler des lokalen Frequenznormals simuliert.
%
x = p3dtx(tcel{1});
p3drx2(x)
%
