%
%
%7.4.  Entscheidungs-rckgekoppelte Trgerregelung%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-16,'Color',MSVTITLCOLOR>
%
%
%
% Eine Differenz zwischen Trgerfrequenz des Senders und der zur Demodulation benutzten 
% Schtzung fhrt im Signalraum zu einer dieser Differenzfrequenz entsprechenden Rotation. 
% Die folgende Animation zeigt eine langsame Rotation von  {\fontname{Courier}0.01/Schritt}:
%
s = impulsfolge(v29(100,100),'Sinc',10);  % ohne Drehung
u = s.*exp(i*2*pi*0.0001*(1:length(s)));  % langsame Drehung
komplexanimat(u,[1 0 0 0 0 1],1,[90 0],1:10:1000);
%% Drehen Sie das Bild auch in den Zeitbereich!
%
% In diesem Fall wurden je 10 Abtastungen pro Schritt genommen.  Jede zehnte Abtastung 
% von  {\fontname{Courier}s}  enthlt deshalb das korrekte komplexe Symbol  {\fontname{Courier}d}.  Entsprechend ist jede zehnte 
% Abtastung  {\fontname{Courier}v}  von  {\fontname{Courier}u}  der komplexe Wert, den der Datenentscheider fr seine Datenentscheidung 
% verwendet.  Ist der Fehler von  {\fontname{Courier}v}  klein, so ist die korrekte Entscheidung mglich.  Aus ihr 
% ergibt sich unmittelbar der ideale Symbolwert  {\fontname{Courier}d}.  Aus dem komplexen Produkt von  {\fontname{Courier}d}  und  {\fontname{Courier}v}  
% ergibt sich direkt der Phasenfehler zwischen  {\fontname{Courier}d}  und  {\fontname{Courier}v}.  Wird dieser Wert zur Trgerregelung 
% verwendet, so spricht man von Entscheidungs-rckgekoppelter Trgerregelung. 
%
% Das folgende Bild zeigt das lansame Ansteigen des auf diese Weise berechneten Phasenfehlers:
%
d = s(1:10:length(s));
v = u(1:10:length(s));
p = angle(conj(d).*v);
fh = fullscreen('Drehung'); 
plot(p)
xlabel('Zeit [Schritt]','FontSize',13); ylabel('Phasenfehler','FontSize',13); 
%
% Die Regelung wrde natrlich dafr sorgen, dass der Phasenfehler nicht so gross wird 
% wie am Ende des Diagramms.
%