%
%
%8.  Synchronisation des Schritt-Taktes%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-8,'Color',MSVTITLCOLOR>
%
%
%
% Auf der Empfngerseite ist das analoge Signal zu interpretieren.  Dazu ist zweierlei ntig:
%  
% 1.  Eine Rekonstruktion der Zeitpunkte, an denen die digitalen Daten abzutasten sind.
%
% 2.  Die Abtastung und Quantisierung (sog. Datenentscheidung)
%
% Dieses Kapitel behandelt den ersten Punkt.
%
% Man unterscheidet zwei Verfahren zur Bestimmung der Abtastpunkte:
%
% (a)  Das Start/Stopp-Verfahren: 
%       Sender und Empfnger benutzen unsynchronisierte Uhren, die bis zu einer 
%       spezifizierten Grenze unterschiedlich laufen drfen.  Die Abtastpunkte fr 
%       eine kurze Sequenz von Bits werden allein durch den Zeitpunkt der ersten  
%       Signalflanke des sog. Start-Bits festgelegt.
%
% (b)  Rekonstruktion des Schritt-Taktes:
%       Der Empfnger synchronisiert seine Uhr durch Rekonstruktion aus dem empfangenen 
%       Signal.
%
% Die beiden Verfahren werden in den beiden folgenden Abschnitten detailliert behandelt. 
% Danach ist die Gewhrleistung von Symbolwechseln beim zweiten Verfahren zu besprechen. 
% Die extreme Methode hierzu ist die Manchester-Kodierung.  Zum Abschluss dieses Kapitels 
% wird noch die Entscheidungsrckgekoppelte Schritt-Takt-regelung besprochen.
%
nt_8_1 %MSV 8.1.  Start/Stopp-Verfahren
%
nt_8_2 %MSV 8.2.  Rekonstruktion des Schritt-Taktes
%
nt_8_3 %MSV 8.3.  Gewhrleistung von Symbolwechseln
%
nt_8_4 %MSV 8.4.  Entscheidungs-rckgekoppelte Schritt-Takt-Regelung
%
