%
%
%9. Additives weisses Rauschen%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Gegeben sei die Energie  {\fontname{Courier}E_s} , z.B. eine geladene Batterie.  Diese Energie soll zur bertragung 
% von  {\fontname{Courier}k}  Informationsbits verwendet werden.  Fr jedes Informationsbit steht also die Energie   
% {\fontname{Courier}E_b = E_s/k}   zur Verfgung.  Der Empfnger erhlt nur einen (sehr kleinen) Bruchteil   {\fontname{Courier}E_e = a*E_s}   
% der gesendeten Energie.  Er empfngt zustzlich die Hintergrundstrahlung als strendes 
% weisses Rauschen.  Dieses hat die Leistung   {\fontname{Courier}N = N_0*b} ,  wo  {\fontname{Courier}N_0} die Leistung pro Hz Bandbreite 
% ist und {\fontname{Courier}b}  die Bandbreite.
%
% Die Wahrscheinlichkeit, dass alle {\fontname{Courier}k} Informationsbits korrekt am Empfangsort erhalten werden, 
% ist zu maximieren.
%
% Dieses Optimierungsproblem hat mehrere Aspekte:
%
%
% 1.  Man kann die Energie  {\fontname{Courier}E_s}  dazu verwenden, mit hoher Sendeleistung  {\fontname{Courier}N_s}  in kurzer 
%      Sendezeit  {\fontname{Courier}T_s}  die  {\fontname{Courier}k}  Informationsbits zu bertragen oder  {\fontname{Courier}N_s}  klein halten unter 
%      Inkaufnahme grosser bertragungszeit:   {\fontname{Courier}E_s = N_s * T_s}
%
% 2.  Nachrichtentechnische Fragen:
%      Welche Kombination von Sende- und Empfangsfilter sind optimal?
%      Welche Modulationsart ist optimal? 
%      Wieviele Niveaus sind optimal?
%      Dieses Thema wird im Kapitel 10 besprochen.
%
% 3.  Man kann die  {\fontname{Courier}k}  Informationsbits einer Kanalcodierung unterwerfen, so dass  {\fontname{Courier}n (>k)}  Bits 
%      des Codewortes zu bertragen sind.  Wir definieren die Coderate zu  {\fontname{Courier}r = k/n}. 
%      Dann steht jedem Bit des Codewortes nur die Energie  {\fontname{Courier}r * E_b < E_b}  zur Verfgung.  
%      Die Wahrscheinlichkeit, ein Bit des Codewortes korrekt zu empfangen, ist also 
%      kleiner als die Wahrscheinlichkeit, das uncodierte Bit richtig zu empfangen.  
%      Es wird deshalb sehr von der Korrekturfhigkeit des Codes abhngen, ob die 
%      Massnahme berhaupt sinnvoll ist.  Dieser Frage wird im Kapitel 11 nachgegangen. 
%
% An dieser Stelle soll den detaillierteren Untersuchungen der folgenden Kapitel nicht 
% vorgegriffen werden.  Wir beschrnken uns deshalb zunchst auf eine kurze Diskussion 
% der ersten Frage und auf allgemeine informationstheoretische Grundlagen.  Erst im 
% Abschnitt 9.3 werden Bitfehlerraten fr praktische Flle berechnet, soweit das ohne 
% den Inhalt der folgenden Kapitel mglich ist.
%
nt_9_1 %MSV 9.1.  Sendeleistung
%        
nt_9_2 %MSV 9.2.  Kanalkapazitt
%
nt_9_3 %MSV 9.3.  Bitfehlerwahrscheinlichkeit
%
