function str = qmat2str(x,q)
% qmat2str(x,q)
% Wandlung der Symbolmatrix x mit Zahlen 0...q-1 in einen Ausgabestring.

if     q<10   fmt = '%d';
elseif q<100  fmt = '%3d';
else          fmt = '%4d';
end
xsize = size(x);
str = [];
for m=1:xsize(1)
   for n=1:xsize(2) 
      str = strcat(str,sprintf(fmt,x(m,n))); 
   end
   str = strcat(str,sprintf('\n'));
end
