function ix = suchmuster(x,y,m)
% ix = suchmuster(x,y,m)
% Im Bitvektor x wird der Bitvektor y gesucht.
% Ausgegeben wird der Index ix von x, an dem das 
% Muster in x beginnt.
% m gibt die zulssige Anzahl von Bitdifferenzen an.

ly1 = length(y)-1;
xx = [zeros(1,m) x zeros(1,m)];
for k = 1:length(xx)-length(y)+1  a(k) = sum(y==xx(k:k+ly1)); end
ma = max(a);
if ma<ly1-m+1 ix = NaN; else ix  = find(ma==a) - m; end
