function trellisviterbi(n,q)
% trellisviterbi(n,q)
% Demonstration des Viterbi-Algorithmus
% n :  Constraint Length
% q :  Stufigkeit
% !!! zur Zeit nur fr n=2, q=2.            !!! 
% !!! Andere Generierung der Zustnde ntig !!!

% Autor:  Klaus von der Heide,  v.d.heide@on-line.de

if nargin<2  q = 2; end
if nargin<1  n = 2; end
m = q^n;                  % Trellistiefe
b = [randb(m);randb(m);randb(m);randb(m)];

% 1. Kanalgrad = 2;  Stufigkeit = 2;
% ==================================
hndl = trellisdiag(n,q);
pause

t = 1;
for b=0:1 
   addtrellisdiag(hndl,n,q,1,0,b,'r')
end
pause

t = 2;
for p=[0,2]
   for b=0:1
      addtrellisdiag(hndl,n,q,t,p,b,'r')
   end
end
pause

t=3;
for p=0:m-1
   for b=0:1
      addtrellisdiag(hndl,n,q,t,p,b,'r')
   end
end
pause, delete(hndl)
% Entscheidung
hndl = trellisdiag(n,q);
addtrellisdiag(hndl,n,q,1,0,[0 0 0],'r')
addtrellisdiag(hndl,n,q,1,0,[1 1 0],'r')
addtrellisdiag(hndl,n,q,1,0,[0 1 1],'r')
addtrellisdiag(hndl,n,q,1,0,[0 0 1],'r')
pause

t = 4;
for p=0:m-1
   for b=0:1
      addtrellisdiag(hndl,n,q,t,p,b,'r')
   end
end
pause, delete(hndl)
% Entscheidung
hndl = trellisdiag(n,q);
addtrellisdiag(hndl,n,q,1,0,[0 0 0 0],'r')
addtrellisdiag(hndl,n,q,1,0,[0 0 0 1],'r')
addtrellisdiag(hndl,n,q,1,0,[0 0 1 0],'r')
addtrellisdiag(hndl,n,q,1,0,[0 1 1 1],'r')
pause

t = 5;
for p=0:m-1
   for b=0:1
      addtrellisdiag(hndl,n,q,t,p,b,'r')
   end
end
pause, delete(hndl)
% Entscheidung
hndl = trellisdiag(n,q);
addtrellisdiag(hndl,n,q,1,0,[0 0 1 0 0],'r')
addtrellisdiag(hndl,n,q,1,0,[0 0 1 0 1],'r')
addtrellisdiag(hndl,n,q,1,0,[0 0 0 1 0],'r')
addtrellisdiag(hndl,n,q,1,0,[0 0 0 1 1],'r')
