function h = checkpoly2checkmat(n,k,hp)
% h = checkpoly2checkmat(n,k,hp)
% liefert fr den zyklischen [n,k]-Code mit 
% dem Prfpolynom hp die Prfmatrix h. 

if k ~= length(p)-1  error('Das Prfpolynom ist nicht kompatibel mit dem Parametern k.'); end
z = [zeros(1,n-k-1) hp];
for m=1:n-k-1  h(:,m) = rotatevector(z,1-m)'; end
