function d = codedist(g)
% d = codedist(g)
% Minimalabstand des linearen Kodes mit der Generatormatrix g

% Autor:  Klaus von der Heide,  v.d.heide@on-line.de

[k,n] = size(g);
if k<2  error('codedist:  keine Matrix'); end
if k>16  warning('codedist: k > 16 . Das dauert sehr lange!'); end
d = n;
for j=1:2^k-1
   r = sum(rem(num2binvec(j,k)*g,2));
   if r<d  d = r; end
end;
