function g = genpoly2genmat(n,k,p)
% g = genpoly2genmat(n,k,p)
% liefert fr den zyklischen [n,k]-Code mit 
% dem Generatorpolynom p die Generatormatrix. 

if n-k ~= length(p)-1  error('Das Polynom ist nicht kompatibel mit den Parametern (n,k).'); end
z = [zeros(1,k-1) p];
for m=1:k  g(m,:) = rotatevector(z,1-m); end
