function y = rot_block(x, n, m)

% this function implements a rotated  nxm block interleaver.
% The input data is written into a nxm matrix in a row-
% by-row fashion, and read out in a column-by-column fashion from the last
% column to the first column


% deinterleaving : x = interleave (y, m, n)

% write into the matrix
counter = 1;
for i=1:n
   for j=1:m
      M(i,j) = x(counter);
      counter = counter + 1;
   end
end

% read out of matrix
counter = 1;
for j=1:m
   for i=1:n
      y(counter) = M(i,j);
      counter = counter + 1;
   end
end
