function kanalgraph
% kanalgraph zeichnet das Schema eines gestrten Kanals.

% Autor:  Klaus von der Heide,  v.d.heide@on-line.de

col = 0.7*[1 1 1];
fsz = 15;
fh  = fullscreen('Kanal','w',0,[2 2.5; 1 1]);
axes('Position',[0 0 1 1])
axis([-5 +75 -20 +50]); axis off
drawcsq([15,5],10,col,'SF',fsz);
drawcsq([55,5],10,col,'EF',fsz);
drawcsq([35,25],10,col,'Strung',fsz-4);
drawccir([35,5],5,col,'+',fsz+10);
drawarr([0,5],[10,5],'k',2,2);
drawarr([20,5],[35,5],'k',2,2,0,5);
drawarr([35,5],[50,5],'k',2,2,5,0);
drawarr([60,5],[70,5],'k',2,2);
drawarr([35,20],[35,5],'k',2,2,0,5);
text(3,7,'w','FontSize',fsz);
text(23,7,'x','FontSize',fsz);
text(43,7,'y','FontSize',fsz);
text(63,7,'z','FontSize',fsz);
text(36,16,'r','FontSize',fsz);
