sr = 100;                                 % Schritt in Abtastungen
d  = 65;                                  % halbe Breite des Sendeimpulses
b  = randb(16,[-1 +1]);
a  = pi*(-d:d)/(d+1);                     % Abtastungen
x  = sin(a).*(1+cos(a)); x  = x/max(x);   % Sendeimpuls, Normierung

x1 = conv(nullein([1 1 1 1],sr-1),x);
x2 = conv(nullein([0 1 0 1 0 1],sr-1),x);
x3 = conv(nullein([-1 +1 -1 +1 -1 +1],sr-1),x);
x4 = conv(nullein(b,sr-1),x);

z1 = conv(x1,reverse(x)); z1 = z1/max(z1);    % Faltung,     Normierung
z2 = conv(x2,reverse(x)); z2 = z2/max(z2);    % Faltung,     Normierung
z3 = conv(x3,reverse(x)); z3 = z3/max(z3);    % Faltung,     Normierung
z4 = conv(x4,reverse(x)); z4 = z4/max(z4);    % Faltung,     Normierung

fh1=fullscreen('1 1 1 1');
subplot(2,1,1)
plot(x1);
subplot(2,1,2)
plot(((1:length(z1))-(2*d-sr+1))/sr,z1);
line(0:5,z1((2*d-sr+1):sr:end),'marker','o','linestyle','none','color','r','linewidth',2);
axis([0.05 4.9 -1.1 +1.1]);

fh2=fullscreen('0 1 0 1 0 1');
subplot(2,1,1)
plot(x2);
subplot(2,1,2)
plot(((1:length(z2))-(2*d-sr+1))/sr,z2);
line(0:7,z2((2*d-sr+1):sr:end),'marker','o','linestyle','none','color','r','linewidth',2);
axis([0.05 6.9 -1.1 +1.1]);

fh3=fullscreen('-1 +1 -1 +1 -1 +1');
subplot(2,1,1)
plot(x3);
subplot(2,1,2)
plot(((1:length(z3))-(2*d-sr+1))/sr,z3);
line(0:7,z3((2*d-sr+1):sr:end),'marker','o','linestyle','none','color','r','linewidth',2);
axis([0.05 6.9 -1.1 +1.1]);

fh4=fullscreen(sprintf('%3d',b));
subplot(2,1,1)
plot(x4);
subplot(2,1,2)
plot(((1:length(z4))-(2*d-sr+1))/sr,z4);
line(0:17,z4((2*d-sr+1):sr:end),'marker','o','linestyle','none','color','r','linewidth',2);
axis([0.05 16.9 -1.1 +1.1]);
