function y = manchester(x)
% y = manchester(x)
% Manchester-Kodierung eines Bitstroms:
% Jede 0 von x wird ersetzt durch die zwei Bits 0 1
% Jede 1 von x wird ersetzt durch die zwei Bits 1 0
y = reshape([x;~x],1,2*length(x));
