%
%
%14.3.2  Jason %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% In extremer Situation usserst schwachen Signals im starken Rauschen ist das 
% Auffinden von Signalen schwierig.  Bei Schmalbandbertragung muss in diesem 
% Fall die Trgerfrequenz ausserordentlich genau beim Empfnger eingestellt 
% werden.  Diese Anforderung kann man bei FSK deutlich mildern durch differen-
% tielle Kodierung, also durch den selben Trick, mit dem man bei PSK die 
% Kenntnis der absoluten Phase relativiert.  Diese Methode ist beschrieben in:
%
edit ifk.txt
%
% Eine Realisierung von IFK findet sich in Jason:
%
edit Jason_Technotes.txt
%
%
% \bfRealisierung in MATLAB
%
% Jason benutzt eine 17-IFK mit den Frequenzen
%
f = (800 + 11025*(-8:+8)*3*2^-17)'
%
% Zur Aussendung wird ein SSB-Sender der Trgerfrequenz  f_0  verwendet.  Dieser sendet
% dann die Frequenzen  {\fontname{Courier}f_0 + f}  (USB)  oder  {\fontname{Courier}f_0 - f}  (LSB).  Sender und Empfnger 
% mssen sich vorher einig sein, ob USB oder LSB zu verwenden ist.
%
% Die Funktionen  {\fontname{Courier}jasontx}  und  {\fontname{Courier}jasonrx} simulieren einen Jason-Sender bzw. einen 
% Empfnger.  Die Student Edition von MATLAB generiert und dekodiert anstelle des 
% Signals von ca.  {\fontname{Courier}800 Hz}  ein in der Frequenz versetztes und auf die Abtastrate  {\fontname{Courier}10.76660156 Hz}  
% dezimiertes Signal, welches zur Demonstration als Audiosignal mit der Abtastrate  {\fontname{Courier}4000 Hz}  
% wiedergegeben wird:
%
t = 'JASON!';                 % zu sendender Text
x = jasontx(t,0);             % Generierung des Sendesignals
ebn0 = 40;                    % Eb/N0 = 40 dB
y = add_awgn(x,6/128,ebn0);   % Kanalsimulation mit Eb/N0
z = jasonrx(y,[1 1 1 1],1)    % Demodulation und Datenentscheidung
f = sum(z~=t(1:length(z)))/length(z) % Symbolfehlerrate      
%
%% Tippen Sie "c" bei selektiertem oberen MATLAB-Block und ndern Sie ebn0 im Editor.
%% Dann whlen Sie im Editor unter Tools: Run.
%% Bei welchem  {\fontname{Courier}E_b/N_0}  wird die Zeichen-Fehlerrate etwa  {\fontname{Courier}0.1} ?
%
%% Formale Herleitung fr die Symbol-Fehlerrate fehlt noch !
%
%% Resultat der Simulation mit jasonser fehlt noch !
%
