%
%
%2.6  Signal-abhngige Eigenschaften%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE-4,'Color',MSVTITLCOLOR>
%
%
%
% Lineare Kanle besitzen keine Signal-abhngigen Eigenschaften.  bliche Kanle wie 
% Kupferkabel und Funkkanle sind in sehr weiten Grenzen linear.  Nichtlinearitten 
% dagegen sind technisch bedingt immer gegeben und problematisch in Sendern und 
% Empfngern.  Die Linearitt der Hochfrequenzverstrker eines Kurzwellenempfngers 
% muss z.B. wesentlich besser sein als die eines sehr guten Audioverstrkers, wenn 
% schwache Signale nicht durch Kunstprodukte des Empfngers zugedeckt werden sollen.
%
% Das Verhalten eines Systems sei beschrieben durch die Reihenentwicklung
%
%          length(p)                             %<'FontName',MSVFORMFONT>
%       y =  _{\fontsize{26}\Sigma}   p(k)*x^k   %<'FontName',MSVFORMFONT>
%            k=1                                 %<'FontName',MSVFORMFONT>
%
% wo   {\fontname{Courier}p = [1  0.001  0.0001]}.
%
% Das Verhalten im Frequenzbereich zeigt dann die Funktion nichtlinear z.B. fr ein 
% Eingangssignal aus zwei Frequenzen gleicher Amplitude.  Als Audioausgabe wird der 
% Reihe nach das Inputsignal, das Outputsignal und die Differenz verstrkt angeboten:
%
nichtlinear([1 0.001 0.0001],[1000 1200])
%
% Offenbar enthlt das Ausgangssignal Frequenzkomponenten, die im Eingabesignal nicht 
% vorkommen.  Diese sind beim breitbandigen Hren kaum zu bemerken.  Klassische 
% Empfnger sind jedoch schmalbandig und sollen u.U. ein Nutzsignal aufnehmen, an 
% dessen Stelle unglcklicherweise ein solches Artefakt vorliegt.
%
%% bung 2.4  Benutzen Sie die Funktion nichtlinear, um damit festzustellen, 
%% welche Dmpfung von Artefakten fr Sie noch hrbar ist.
%
% Wird der physikalisch analoge Kanal digital verwendet und muss hierzu das zu 
% bertragende Signal neu quantisiert werden, so ergibt sich ein Quantisierungsrauschen, 
% das Signal-abhngig ist.
%