%
%
%4.  Demodulation%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Demodulation ist die zur Modulation inverse Operation.  In diesem Kapitel sind die 
% Algorithmen zu besprechen und die Fehlermglichkeiten, die sich dadurch ergeben,
% dass bei der Modulation benutzte Parameter beim Empfnger nicht genau bekannt sind 
% oder nicht mit gengender Przision eingehalten werden knnen.  Der wichtigste 
% dieser Parameter ist die Trgerfrequenz.
%
% Demodulationsverfahren, die auf der Kenntnis der Trgerschwingung basieren, heissen 
% kohrente Verfahren.  Die brigen heissen inkohrente Verfahren.  Charakteristisch
% fr inkohrente Verfahren ist der Einsatz von nichtlinearen Funktionen zur 
% Demodulation (z.B. Betragsbildung bei AM).  Deshalb ist das Gesamtsystem auch im 
% Falle linearer Modulationsarten nichtlinear, wenn ein inkohrentes Demodulations-
% verfahren eingesetzt wird.  Eine Korrektur zeitvarianter Kanle ist dann allenfalls 
% nherungsweise mglich.
%
% Wegen der Wichtigkeit der Rekonstruktion des Trgers bei den meisten Modulations-
% verfahren ist diesem Thema das eigene Kapitel 7 gewidmet.
%
% Die Demodulatoren werden nun der Reihe nach behandelt. 
%
nt_4_1  %MSV 4.1   Inkohrente AM-Demodulation
%
nt_4_2  %MSV 4.2   Kohrente AM-Demodulation
%
nt_4_3  %MSV 4.3   PM-Demodulation
%
nt_4_4  %MSV 4.4   FM-Demodulation
%
nt_4_5  %MSV 4.5   QAM-Demodulation
%
nt_4_6  %MSV 4.6   DSB- und SSB-Demodulation
%       
%
%% bung 4.a.  Es ist ein Modulator und ein Demodulator fr analoge Stereo-bertragung 
%% zu entwerfen mit folgender Spezifikation:  Auf demselben Trger soll in AM die Summe 
%% beider Kanle  {\fontname{Courier}(L + R)}  gesendet werden und in FM ihre Differenz  {\fontname{Courier}(L - R)}.
%% Benutzen Sie die Abtastrate  {\fontname{Courier}fs = 16000 Hz}  und folgende Audiosamples:
%%
load('lrkanal')
lkanal = interp([linker;kanal],2)/35000;
rkanal = interp([rechter;kanal],2)/35000;
%%
%% Der AM-Demodulator sollte das Signal in Mono wiedergeben. 
%% Der Stereo-Dekoder muss die Kanle trennen.
%
%% bung 4.b.  Bestimmen Sie jeweils das demodulierte Signal mit dem PM-Demodulator 
%% des Abschnitts 4.3 bei Einsatz folgender Testsignale:  
%% {\fontname{Courier}x = amplmod(f0), dsbmod, ssbmod, freqmod, qammod}
%% und erlutern Sie detailliert, warum es zu diesen Signalen kommt.
%