%
%
%9.1.  Sendeleistung%<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
% Zur bertragung jedes Informationsbits steht die Energie  {\fontname{Courier}E_b}  zur Verfgung.  Diese 
% wird in der bertragungszeit (fr dieses Bit)  {\fontname{Courier}T_b}  gesendet.  In dieser Zeit erhlt der 
% Empfnger die Rauschenergie  {\fontname{Courier}N_0*b*T_b} , wo  {\fontname{Courier}N_0}  die Leistung pro Hz Bandbreite ist
% und  {\fontname{Courier}b}  die Bandbreite.  Die Bandbreite des Empfngers wird sinnvollerweise der 
% Bandbreite des Sendesignals angepasst.  Damit ist sie proportional zur Schrittfrequenz, 
% also umgekehrt proportional zu  {\fontname{Courier}T_b} .  Die jeweils in der Zeit  {\fontname{Courier}T_b}  empfangene Rauschenergie 
% ist also  {\fontname{Courier}a*N_0} , wo  {\fontname{Courier}a}  eine noch zu bestimmende Konstante ist, die von den benutzten 
% Filtern abhngt, welche wiederum durch die Art der Modulation bestimmt werden.
%
% Wichtiges Ergebnis dieser berlegung ist:
%
% Die zu optimierende Wahrscheinlichkeit, alle Informationsbits korrekt zu empfangen, 
% hngt nur vom Verhltnis  {\fontname{Courier}E_b/N_0}  ab und nicht von der Dauer der Aussendung.
%
% Bei terrestischen bertragungssystemen ist meist die Bandbreite zugeteilt (und teuer) 
% und zugleich ist im allg. die Sendeleistung reglementiert.  Die bertragungszeit kann 
% also nicht beliebig verkrzt werden.
%
% Bei der Deep-Space-Kommunikation ist zu bercksichtigen, dass Sender und Batterien, 
% die hohe Leistung in kurzer Zeit abgeben knnen, schwerer sind, was auf Kosten der 
% Nutzlast geht.
%
% Die Entscheidung fr eine Bitrate wird also nicht durch das vorliegende Problem der 
% Optimierung beeinflusst.  Sie fllt allein aufgrund von nicht-nachrichtentechnischen 
% Bedingungen.
%