%
%
% Glossar %<'FontWeight',MSVTITLWEIGHT,'FontSize',MSVTITLSIZE,'Color',MSVTITLCOLOR>
%
%
%
%  A/D    analog to digital                      %<'FontName',MSVFORMFONT>
%
%  ACI    adjacent channel interference          %<'FontName',MSVFORMFONT>
%
%  ADSL   asymmetrical digital subscriber line   %<'FontName',MSVFORMFONT>
%
%  AGC    automatic gain control                 %<'FontName',MSVFORMFONT>
%
%  AM     amplitude modulation                   %<'FontName',MSVFORMFONT>
%
%  AMPS   Advanced Mobile Phone System           %<'FontName',MSVFORMFONT>
%
%  ANSI   American National Standards Institute  %<'FontName',MSVFORMFONT>
%
%  ARQ    automatic repeat request               %<'FontName',MSVFORMFONT>
%
%  ASK    amplitude shift keying                 %<'FontName',MSVFORMFONT>
%
%  ATM    asynchronous transfer mode             %<'FontName',MSVFORMFONT>
%
%  AWGN   additive white Gaussian noise          %<'FontName',MSVFORMFONT>
%
%  BCH    Bose-Chaudhuri-Hocquenghem             %<'FontName',MSVFORMFONT>
%
%  BER    bit error rate                         %<'FontName',MSVFORMFONT>
%
%  BFSK   binary frequency shift keying          %<'FontName',MSVFORMFONT>
%
%  BS     base station                           %<'FontName',MSVFORMFONT>
%
%  BSC    base station controller                %<'FontName',MSVFORMFONT>
%
%  CCI    co-channel interference                %<'FontName',MSVFORMFONT>
%
%  CDMA   code division multiple access          %<'FontName',MSVFORMFONT>
%
%  CPFSK  continuous phase frequency shift keying%<'FontName',MSVFORMFONT>
%
%  CPM    continuous phase modulation            %<'FontName',MSVFORMFONT>
%
%  CRC    cyclic redundancy code                 %<'FontName',MSVFORMFONT>
%
%  D/A    digital to analog                      %<'FontName',MSVFORMFONT>
%
%  DAB    digital audio broadcast                %<'FontName',MSVFORMFONT>
%
%  dB     decibel                                %<'FontName',MSVFORMFONT>
%
%  dBi    decibel over isitropic radiator        %<'FontName',MSVFORMFONT>
%
%  DCA    dynamic channel allocation             %<'FontName',MSVFORMFONT>
%
%  DCS    digital communication system           %<'FontName',MSVFORMFONT>
%
%  DECPSK differentially encoded phase shift keying%<'FontName',MSVFORMFONT>
%
%  DFT    discrete Fourier transform             %<'FontName',MSVFORMFONT>
%
%  DPCM   differential puls code modulation      %<'FontName',MSVFORMFONT>
%
%  DPSK   differential phase shift keying        %<'FontName',MSVFORMFONT>
%
%  DQPSK  differential quadrature phase shift keying%<'FontName',MSVFORMFONT>
%
%  DS     direct sequence                        %<'FontName',MSVFORMFONT>
%
%  DS/FHMA hybrid direct sequence/frequency-hopped multiple access%<'FontName',MSVFORMFONT>
%
%  DSB    double side band                       %<'FontName',MSVFORMFONT>
%
%  DSP    digital signal processing              %<'FontName',MSVFORMFONT>
%
%  DS-SS  direct-sequence spread spectrum        %<'FontName',MSVFORMFONT>
%
%  DSL    digital subscriber line                %<'FontName',MSVFORMFONT>
%
%  EIRP   effective isotropic radiated power     %<'FontName',MSVFORMFONT>
%
%  erf    error function                         %<'FontName',MSVFORMFONT>
%
%  erfc   complementary error function           %<'FontName',MSVFORMFONT>
%
%  ETSI   European Telecommunications Standards Institute%<'FontName',MSVFORMFONT>
%
%  FCC    Federal Communications Commission      %<'FontName',MSVFORMFONT>
%
%  FDD    frequency division duplex%<'FontName',MSVFORMFONT>
%
%  FDMA   frequency division multiple access     %<'FontName',MSVFORMFONT>
%
%  FEC    forward error correction               %<'FontName',MSVFORMFONT>
%
%  FFH    fast frequency hopping                 %<'FontName',MSVFORMFONT>
%
%  FH     frequency hopping                      %<'FontName',MSVFORMFONT>
%
%  FH-SS  frequency-hopping spread spectrum      %<'FontName',MSVFORMFONT>
%
%  FIR    finite impulse response                %<'FontName',MSVFORMFONT>
%
%  FM     frequency modulation                   %<'FontName',MSVFORMFONT>
%
%  FSK    frequency shift keying                 %<'FontName',MSVFORMFONT>
%
%  GFSK    Gaussian frequency shift keying       %<'FontName',MSVFORMFONT>
%
%  GMSK   Gauss minimum shift keying             %<'FontName',MSVFORMFONT>
%
%  GPRS   General Packet Radio Service           %<'FontName',MSVFORMFONT>
%
%  GSM    global system for mobile communications%<'FontName',MSVFORMFONT>
%
%  HF     high frequency:  3 ... 30 MHz          %<'FontName',MSVFORMFONT>
%
%  IDFT   inverse discrete Fourier transformation%<'FontName',MSVFORMFONT>
%
%  IF     intermediate frequency                 %<'FontName',MSVFORMFONT>
%
%  IM     intermodulation                        %<'FontName',MSVFORMFONT>
%
%  IN     intelligent network                    %<'FontName',MSVFORMFONT>
%
%  ISDN   integrated service digital network     %<'FontName',MSVFORMFONT>
%
%  ISI    inter symbol interference              %<'FontName',MSVFORMFONT>
%
%  LF     low frequency:  30 ... 300 kHz         %<'FontName',MSVFORMFONT>
%
%  LMS    least mean square                      %<'FontName',MSVFORMFONT>
%
%  LNA    low noise amplifier                    %<'FontName',MSVFORMFONT>
%
%  LPC    linear predictive coding               %<'FontName',MSVFORMFONT>
%
%  LPF    low pass filter                        %<'FontName',MSVFORMFONT>
%
%  LSB    lower side band (or least significant bit)%<'FontName',MSVFORMFONT>
%
%  LTI    linear and time invariant              %<'FontName',MSVFORMFONT>
%
%  MAP    maximum a-posteriori                   %<'FontName',MSVFORMFONT>
%
%  MC     multi carrier                          %<'FontName',MSVFORMFONT>
%
%  MC-CDMA multicarrier code division multiple access%<'FontName',MSVFORMFONT>
%
%  MC-DS CDMA multicarrier direct-sequence CDMA  %<'FontName',MSVFORMFONT>
%
%  MCM    multicarrier modulation                %<'FontName',MSVFORMFONT>
%
%  MF     medium frequency:  0.3 ... 3 MHz       %<'FontName',MSVFORMFONT>
%
%  MFSK   M-ary frequency shift keying           %<'FontName',MSVFORMFONT>
%
%  MLSD   maximum-likelihood symbol detection    %<'FontName',MSVFORMFONT>
%
%  MLSE   maximum-likelihood sequence estimation %<'FontName',MSVFORMFONT>
%
%  MLT    multi level threshold                  %<'FontName',MSVFORMFONT>
%
%  MSE    mean square error                      %<'FontName',MSVFORMFONT>
%
%  MSK    minimum shift keying                   %<'FontName',MSVFORMFONT>
%
%  MUX    multiplexer                            %<'FontName',MSVFORMFONT>
%
%  NAMPS  narrowband advanced mobile phone system%<'FontName',MSVFORMFONT>
%
%  NBFM   narrowband frequency modulation        %<'FontName',MSVFORMFONT>
%
%  NRZ    non-return to zero                     %<'FontName',MSVFORMFONT>
%
%  OFDM   orthogonal frequency division multiplexing%<'FontName',MSVFORMFONT>
%
%  OOK    on-off keying                          %<'FontName',MSVFORMFONT>
%
%  OQPSK  offset quadrature phase shift keying   %<'FontName',MSVFORMFONT>
%
%  PAM    pulse amplitude modulation             %<'FontName',MSVFORMFONT>
%
%  PCM    pulse code modulation                  %<'FontName',MSVFORMFONT>
%
%  PDM    pulse duration modulation              %<'FontName',MSVFORMFONT>
%
%  PLC    power line communication               %<'FontName',MSVFORMFONT>
%
%  PLL    phase locked loop                      %<'FontName',MSVFORMFONT>
%
%  PM     phase modulation                       %<'FontName',MSVFORMFONT>
%
%  PPM    pulse phase modulation                 %<'FontName',MSVFORMFONT>
%
%  PR     packet radio                           %<'FontName',MSVFORMFONT>
%
%  PSD    power spectral density                 %<'FontName',MSVFORMFONT>
%
%  PSK    phase shift keying                     %<'FontName',MSVFORMFONT>
%
%  QAM    quadrature amplitude modulation        %<'FontName',MSVFORMFONT>
%
%  QPSK   quadrature phase shift keying          %<'FontName',MSVFORMFONT>
%
%  RC     raised cosine                          %<'FontName',MSVFORMFONT>
%
%  RDS    radio data system                      %<'FontName',MSVFORMFONT>
%
%  RF     radio frequency                        %<'FontName',MSVFORMFONT>
%
%  RS     Reed Solomon                           %<'FontName',MSVFORMFONT>
%
%  RZ     return to zero                         %<'FontName',MSVFORMFONT>
%
%  S/N    signal-to-noise ratio                  %<'FontName',MSVFORMFONT>
%
%  SFH    slow frequency hopping                 %<'FontName',MSVFORMFONT>
%
%  SHF    super high frequency:  3 ... 30 GHz    %<'FontName',MSVFORMFONT>
%
%  SNR    signal-to-noise ratio                  %<'FontName',MSVFORMFONT>
%
%  SS     spread spectrum                        %<'FontName',MSVFORMFONT>
%
%  SSB    single side band modulation            %<'FontName',MSVFORMFONT>
%
%  TDMA   time division multiple access          %<'FontName',MSVFORMFONT>
%
%  TP     twisted pair                           %<'FontName',MSVFORMFONT>
%
%  UHF    ultra high frequency:  300 ... 3000 MHz%<'FontName',MSVFORMFONT>
%
%  UMTS   universal mobile telecommunication system%<'FontName',MSVFORMFONT>
%
%  USB    upper side band                        %<'FontName',MSVFORMFONT>
%
%  VHF    very high frequency:  30 ... 300 Mhz   %<'FontName',MSVFORMFONT>
%
%  VLSI   very large scale integration           %<'FontName',MSVFORMFONT>
%
%  WBFM   wideband frequency modulation          %<'FontName',MSVFORMFONT>
%
