function sfdrgraph

ad = zeros(1,64);
ad([8,10,12,14,16,18,20,22,24,26,28,30,32,36,40,44]) = 50.3;
ad(2)  =  10.6;
ad(4)  =  28.7;
ad(6)  =  44.0;

al = zeros(1,64);
al([16,18,20,22,24,26,28,30,32,36,40,44]) = 100.5;
al(2)  =  10.6;
al(4)  =  28.7;
al(6)  =  44.0;
al(8)  =  52;
al(10) =  63.4;
al(12) =  76.0;
al(14) =  87.9;
al(15) =  92.7;

at = zeros(1,64);
at([32,36,40,44]) = 195.5;
at(2)  =  10.6;
at(4)  =  28.7;
a6(6)  =  44.0;
at(8)  =  52;
at(10) =  63.4;
at(12) =  76.0;
at(14) =  87.9;
at(15) =  92.7;
at(16) = 100.6;
at(18) = 114.3;
at(20) = 126.9;
at(22) = 139.7;
at(24) = 152.6;
at(25) = 152.4;
at(26) = 164.0;
at(27) = 170.9;
at(28) = 172.2;
at(29) = 177.5;
at(30) = 188.0;
at(31) = 191.9;

an = zeros(1,64);
an( 4) =  21.5;
an( 6) =  43.2;
an( 8) =  58.2;
an(12) =  82.6;
an(16) = 105.8;
an(20) = 130.1;
an(24) = 153.8;
an(28) = 177.3;
an(30) = 189.0;
an(32) = 201.4;
an(36) = 225.3;
an(40) = 249.6;
an(44) = 273;

lw = 2;
fsiz = 13;
fh = fullscreen('SFDR');
id = find(ad);
line(id,ad(id),'LineStyle','none','Marker','+','LineWidth',lw,'Color','k')
il = find(al);
line(il,al(il),'LineStyle','none','Marker','x','LineWidth',lw,'Color','b')
it = find(at);
line(it,at(it),'LineStyle','none','Marker','s','LineWidth',lw,'Color','r')
in = find(an);
%line(in,an(in),'LineStyle','none','Marker','*','LineWidth',lw,'Color','r')
title('Minimale SFDR ber alle generierbaren Frequenzen','FontSize',fsiz)
xlabel('ROM-Wortbreite w [Bit]','FontSize',fsiz)
ylabel('Spurious-Free Dynamic Range [dB]','FontSize',fsiz)
set(gca,'Position',[0.2 0.1 0.5 0.75]) 
text(46,51,'Adressquantisierung','FontSize',fsiz-1,'Color','k')
text(46,101,'lineare Interpolation','FontSize',fsiz-1,'Color','b')
text(46,196,'Taylor-Entwicklung 3. Gr.','FontSize',fsiz-1,'Color','r')
%text(46,280,sprintf(' vorgeschlagenes\n      Verfahren'),...
%     'FontSize',fsiz-1,'Rotation',43)
axis([0 45 0 220])
grid on
